#!/bin/sh

if [ -z "$1" ];then
	echo "platform.sh"
	echo "Shows short platform description in format {processor}-{system}{32/64bit}"
	echo
	echo "Usage: platform.sh <executable>"
	echo
	exit 1
fi

f=`file "$1"`
sys="unknown"
if echo $f | grep -q 'MS Windows'; then
	sys="win"
elif echo $f | grep -q 'SPARC';then
	sys="solaris"
elif echo $f | grep -q 'Linux';then
	sys="linux"
fi

proc="unknown"
if echo $f | grep -q '80386'; then
	proc='x86'
elif echo $f | grep -q 'SPARC';then
	proc='SPARC'
elif echo $f | grep -q 'AMD x86-64';then
	proc='x86'
fi

bit="unknown"
if echo $f | grep -q '32-bit'; then
	bit='32'
elif echo $f | grep -q '64-bit'; then
	bit='64'
fi

echo $proc-$sys$bit
